ObjectFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.cfg
Class ObjectFactory

    java.lang.Object
      org.hibernate.internal.jaxb.cfg.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.hibernate.internal.jaxb.cfg package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.cfg

Method Summary
`JaxbHibernateConfiguration` | `createJaxbHibernateConfiguration()` Create an instance of `JaxbHibernateConfiguration`
`JaxbHibernateConfiguration.JaxbSecurity` | `createJaxbHibernateConfigurationJaxbSecurity()` Create an instance of `JaxbHibernateConfiguration.JaxbSecurity`
`JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant` | `createJaxbHibernateConfigurationJaxbSecurityJaxbGrant()` Create an instance of `JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant`
`JaxbHibernateConfiguration.JaxbSessionFactory` | `createJaxbHibernateConfigurationJaxbSessionFactory()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory`
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache` | `createJaxbHibernateConfigurationJaxbSessionFactoryJaxbClassCache()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache`
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache` | `createJaxbHibernateConfigurationJaxbSessionFactoryJaxbCollectionCache()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache`
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent` | `createJaxbHibernateConfigurationJaxbSessionFactoryJaxbEvent()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent`
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping` | `createJaxbHibernateConfigurationJaxbSessionFactoryJaxbMapping()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping`
`JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty` | `createJaxbHibernateConfigurationJaxbSessionFactoryJaxbProperty()` Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty`
`JaxbListenerElement` | `createJaxbListenerElement()` Create an instance of `JaxbListenerElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.hibernate.internal.jaxb.cfg

Method Detail

### createJaxbHibernateConfigurationJaxbSessionFactoryJaxbMapping

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping createJaxbHibernateConfigurationJaxbSessionFactoryJaxbMapping()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbMapping`

### createJaxbHibernateConfigurationJaxbSessionFactoryJaxbProperty

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty createJaxbHibernateConfigurationJaxbSessionFactoryJaxbProperty()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbProperty`

### createJaxbHibernateConfiguration

    public JaxbHibernateConfiguration createJaxbHibernateConfiguration()

  Create an instance of `JaxbHibernateConfiguration`

### createJaxbHibernateConfigurationJaxbSessionFactoryJaxbEvent

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent createJaxbHibernateConfigurationJaxbSessionFactoryJaxbEvent()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbEvent`

### createJaxbHibernateConfigurationJaxbSessionFactoryJaxbCollectionCache

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache createJaxbHibernateConfigurationJaxbSessionFactoryJaxbCollectionCache()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbCollectionCache`

### createJaxbHibernateConfigurationJaxbSecurityJaxbGrant

    public JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant createJaxbHibernateConfigurationJaxbSecurityJaxbGrant()

  Create an instance of `JaxbHibernateConfiguration.JaxbSecurity.JaxbGrant`

### createJaxbHibernateConfigurationJaxbSecurity

    public JaxbHibernateConfiguration.JaxbSecurity createJaxbHibernateConfigurationJaxbSecurity()

  Create an instance of `JaxbHibernateConfiguration.JaxbSecurity`

### createJaxbHibernateConfigurationJaxbSessionFactory

    public JaxbHibernateConfiguration.JaxbSessionFactory createJaxbHibernateConfigurationJaxbSessionFactory()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory`

### createJaxbHibernateConfigurationJaxbSessionFactoryJaxbClassCache

    public JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache createJaxbHibernateConfigurationJaxbSessionFactoryJaxbClassCache()

  Create an instance of `JaxbHibernateConfiguration.JaxbSessionFactory.JaxbClassCache`

### createJaxbListenerElement

    public JaxbListenerElement createJaxbListenerElement()

  Create an instance of `JaxbListenerElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.